Bundles
AGH Bundles HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
List active bundle preset activations
/api/bundles/activationsResponse Body
application/json
application/json
application/json
curl -X GET "https://loading/api/bundles/activations"{
"activations": [
{
"agents": [
{
"has_heartbeat": true,
"has_soul": true,
"id": "string",
"model": "string",
"name": "string",
"provider": "string"
}
],
"bind_primary_channel_as_default": true,
"bridges": [
{
"display_name": "string",
"extension_name": "string",
"id": "string",
"name": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"kind": "string",
"name": "string"
}
]
}
],
"bundle_description": "string",
"bundle_name": "string",
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"created_at": "2019-08-24T14:15:22Z",
"extension_name": "string",
"id": "string",
"inventory": [
{
"resource_id": "string",
"resource_kind": "string",
"resource_name": "string"
}
],
"jobs": [
{
"agent_name": "string",
"enabled": true,
"id": "string",
"name": "string"
}
],
"profile_description": "string",
"profile_name": "string",
"scope": "string",
"triggers": [
{
"agent_name": "string",
"enabled": true,
"event": "string",
"id": "string",
"name": "string"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}Activate one extension bundle preset
/api/bundles/activationsRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/bundles/activations" \ -H "Content-Type: application/json" \ -d '{ "bind_primary_channel_as_default": true, "bundle_name": "string", "extension_name": "string", "profile_name": "string" }'{
"activation": {
"agents": [
{
"has_heartbeat": true,
"has_soul": true,
"id": "string",
"model": "string",
"name": "string",
"provider": "string"
}
],
"bind_primary_channel_as_default": true,
"bridges": [
{
"display_name": "string",
"extension_name": "string",
"id": "string",
"name": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"kind": "string",
"name": "string"
}
]
}
],
"bundle_description": "string",
"bundle_name": "string",
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"created_at": "2019-08-24T14:15:22Z",
"extension_name": "string",
"id": "string",
"inventory": [
{
"resource_id": "string",
"resource_kind": "string",
"resource_name": "string"
}
],
"jobs": [
{
"agent_name": "string",
"enabled": true,
"id": "string",
"name": "string"
}
],
"profile_description": "string",
"profile_name": "string",
"scope": "string",
"triggers": [
{
"agent_name": "string",
"enabled": true,
"event": "string",
"id": "string",
"name": "string"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get one bundle activation
/api/bundles/activations/{id}Path Parameters
Bundle activation id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/bundles/activations/string"{
"activation": {
"agents": [
{
"has_heartbeat": true,
"has_soul": true,
"id": "string",
"model": "string",
"name": "string",
"provider": "string"
}
],
"bind_primary_channel_as_default": true,
"bridges": [
{
"display_name": "string",
"extension_name": "string",
"id": "string",
"name": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"kind": "string",
"name": "string"
}
]
}
],
"bundle_description": "string",
"bundle_name": "string",
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"created_at": "2019-08-24T14:15:22Z",
"extension_name": "string",
"id": "string",
"inventory": [
{
"resource_id": "string",
"resource_kind": "string",
"resource_name": "string"
}
],
"jobs": [
{
"agent_name": "string",
"enabled": true,
"id": "string",
"name": "string"
}
],
"profile_description": "string",
"profile_name": "string",
"scope": "string",
"triggers": [
{
"agent_name": "string",
"enabled": true,
"event": "string",
"id": "string",
"name": "string"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Update mutable bundle activation overlays
/api/bundles/activations/{id}Path Parameters
Bundle activation id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://loading/api/bundles/activations/string" \ -H "Content-Type: application/json" \ -d '{ "bind_primary_channel_as_default": true }'{
"activation": {
"agents": [
{
"has_heartbeat": true,
"has_soul": true,
"id": "string",
"model": "string",
"name": "string",
"provider": "string"
}
],
"bind_primary_channel_as_default": true,
"bridges": [
{
"display_name": "string",
"extension_name": "string",
"id": "string",
"name": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"kind": "string",
"name": "string"
}
]
}
],
"bundle_description": "string",
"bundle_name": "string",
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"created_at": "2019-08-24T14:15:22Z",
"extension_name": "string",
"id": "string",
"inventory": [
{
"resource_id": "string",
"resource_kind": "string",
"resource_name": "string"
}
],
"jobs": [
{
"agent_name": "string",
"enabled": true,
"id": "string",
"name": "string"
}
],
"profile_description": "string",
"profile_name": "string",
"scope": "string",
"triggers": [
{
"agent_name": "string",
"enabled": true,
"event": "string",
"id": "string",
"name": "string"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Deactivate one bundle preset and remove owned projected resources
/api/bundles/activations/{id}Path Parameters
Bundle activation id
Response Body
application/json
application/json
application/json
curl -X DELETE "https://loading/api/bundles/activations/string"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List available extension bundle presets
/api/bundles/catalogResponse Body
application/json
application/json
application/json
curl -X GET "https://loading/api/bundles/catalog"{
"bundles": [
{
"bundle_name": "string",
"description": "string",
"extension_name": "string",
"profiles": [
{
"agent_count": 0,
"bridge_count": 0,
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"description": "string",
"job_count": 0,
"name": "string",
"primary_channel": "string",
"trigger_count": 0
}
]
}
]
}{
"error": "string"
}{
"error": "string"
}Get bundle-derived network defaults and declared channels
/api/bundles/network/settingsResponse Body
application/json
application/json
application/json
curl -X GET "https://loading/api/bundles/network/settings"{
"network": {
"configured_default_channel": "string",
"declared_channels": [
{
"activation_id": "string",
"bundle_name": "string",
"description": "string",
"extension_name": "string",
"name": "string",
"primary": true,
"profile_name": "string",
"workspace_id": "string"
}
],
"effective_default_channel": "string",
"effective_default_source": "string"
}
}{
"error": "string"
}{
"error": "string"
}Preview one bundle activation without mutating runtime resources
/api/bundles/previewRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/bundles/preview" \ -H "Content-Type: application/json" \ -d '{ "bind_primary_channel_as_default": true, "bundle_name": "string", "extension_name": "string", "profile_name": "string" }'{
"activation": {
"agents": [
{
"has_heartbeat": true,
"has_soul": true,
"id": "string",
"model": "string",
"name": "string",
"provider": "string"
}
],
"bind_primary_channel_as_default": true,
"bridges": [
{
"display_name": "string",
"extension_name": "string",
"id": "string",
"name": "string",
"platform": "string",
"secret_slots": [
{
"description": "string",
"kind": "string",
"name": "string"
}
]
}
],
"bundle_description": "string",
"bundle_name": "string",
"channels": [
{
"description": "string",
"name": "string",
"primary": true
}
],
"created_at": "2019-08-24T14:15:22Z",
"extension_name": "string",
"id": "string",
"inventory": [
{
"resource_id": "string",
"resource_kind": "string",
"resource_name": "string"
}
],
"jobs": [
{
"agent_name": "string",
"enabled": true,
"id": "string",
"name": "string"
}
],
"profile_description": "string",
"profile_name": "string",
"scope": "string",
"triggers": [
{
"agent_name": "string",
"enabled": true,
"event": "string",
"id": "string",
"name": "string"
}
],
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}